"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = __importDefault(require("tailwindcss/plugin"));
const base_1 = require("./base");
const utilities_1 = require("./utilities");
const components_1 = require("./components");
exports.default = (0, plugin_1.default)(function (options) {
    (0, base_1.base)(options);
    (0, utilities_1.utilities)(options);
    (0, components_1.components)(options);
}, {
    theme: {
        spacing: {
            "fluid-2xs": "clamp(0.25rem, 0.5vw, 0.75rem)",
            "fluid-xs": "clamp(0.5rem, 1vw, 1rem)",
            "fluid-sm": "clamp(1rem, 1.5vw, 2rem)",
            "fluid-md": "clamp(1.5rem, 2vw, 3rem)",
            "fluid-lg": "clamp(2rem, 3vw, 4rem)",
            "fluid-xl": "clamp(3rem, 4vw, 6rem)",
            "fluid-2xl": "clamp(4rem, 6vw, 8rem)",
            "fluid-3xl": "clamp(6rem, 8vw, 12rem)",
            "fluid-4xl": "clamp(8rem, 12vw, 16rem)",
            "fluid-5xl": "clamp(12rem, 16vw, 20rem)",
        },
        maxWidth: {
            narrow: "55rem",
            wide: "85rem",
            full: "100%",
        },
        fontSize: {
            "fluid-xs": "clamp(0.75rem, 1vw, 1.25rem)",
            "fluid-sm": "clamp(1rem, 1.5vw, 1.5rem)",
            "fluid-md": "clamp(1.25rem, 2vw, 2rem)",
            "fluid-lg": "clamp(1.5rem, 2.5vw, 2.5rem)",
            "fluid-xl": "clamp(1.75rem, 3vw, 3rem)",
            "fluid-2xl": "clamp(2rem, 3vw, 3.5rem)",
            "fluid-3xl": "clamp(2.5rem, 4vw, 4rem)",
            "fluid-4xl": "clamp(3rem, 5vw, 5rem)",
            "fluid-5xl": "clamp(4rem, 6vw, 6rem)",
        },
    }
});
